/yelp-reviews

Returns reviews from Yelp businesses. In case no reviews were found by your search criteria, your search request will consume the usage of one review.

↗ Open in API Explorer
GET

Yelp Reviews

Returns reviews from Yelp businesses.

In case no reviews were found by your search criteria, your search request will consume the usage of one review.

Request

Endpoint: GET https://api.outscraper.cloud/yelp-reviews

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes You can use direct links, and IDs of any Yelp business (e.g., https://www.yelp.com/biz/cancha-boutique-gastrobar-san-francisco, eggcellent-waffles-san-francisco, iXoLJWjbcXCO43RT-H0uQQ). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
limit query integer No The parameter specifies the limit of reviews to get from one query. - default 100
cursor query string No The parameter specifies the next page cursor (next_page_cursor) from the previous chunk of records (usually 10). Used for pagination. - -
sort query string enum No The parameter specifies one of the sorting types. - default relevance_desc, allowed relevance_desc, date_desc, date_asc, rating_desc, rating_asc, elites_desc
cutoff query integer No The parameter specifies the oldest timestamp value for items. Using the cutoff parameter overwrites sort parameter`. Therefore, the latest records will be at the beginning (newest first). - -
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    [
      {
        "query": "eggcellent-waffles-san-francisco",
        "business_name": "Eggcellent Waffles",
        "review_rating": 5,
        "review_text": "This place is awesome!! <br><br>You are basically allowed to craft your dream sandwich. The customization is crazy and the portions are so satisfying. I would definitely recommend the savory options. I got a everything waffle with roast beef, ham, and horseradish. What a dream. I will be back.",
        "review_photos": [],
        "review_tags": [],
        "owner_replies": [],
        "review_id": "mMzh-4D_-jNG1zzWGo5SYQ"
      },
      {
        "query": "eggcellent-waffles-san-francisco",
        "business_name": "Eggcellent Waffles",
        "review_rating": 4,
        "review_text": "Honestly, I went to this place because of the silly name. It was a nice surprise. They have a wide variety of fillings to choose from sweet to savory, which is very nice. I&#39;ve ordered the All Day waffle, which has sausage, avocado, cheese. What an interesting combination, well served and very tasty indeed. The pumpkin spice chai was also very good. <br><br>Nothing out of this world but a good experience no doubt.",
        "review_photos": [],
        "review_tags": [],
        "owner_replies": [],
        "review_id": "KKshwKeYC8nxzkOtprq1Mw"
      },
      {
        "query": "eggcellent-waffles-san-francisco",
        "business_name": "Eggcellent Waffles",
        "review_rating": 3,
        "review_text": "First time here. I am really excited by the idea of a waffle as the bread to a sandwich. My desire was for a savory breakfast to go. Nothing really struck me as that so I ordered the All Day sandwich. Pork, avacdo, cheese: great. Ranch dressing, yuck! <br>Great portion and there location is just down from the top of Knob Hill. (Nice park to sit in while eating.)<br>I see coming back again for a sweet waffle and there are several waffle flavors I&#39;d like to try. However for the savory selections, I will be more selective. Maybe even building my own sandwich, which is an option.",
        "review_photos": [
          "https://s3-media0.fl.yelpcdn.com/bphoto/LGs0xZDWYS7sWlNV21r66g/300s.jpg"
        ],
        "review_tags": [
          "1 photo",
          "1 check-in"
        ],
        "owner_replies": [],
        "review_id": "xpQACYnoK7WmRSiR-6ObEw"
      }
    ]
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/yelp-reviews?query=eggcellent-waffles-san-francisco&limit=3&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/yelp-reviews?query=eggcellent-waffles-san-francisco&limit=3" -H  "X-API-KEY: YOUR-API-KEY"

Related Endpoints